/*
--------------------------------------
Динамическая AJAX загрузка страниц для 
WEB версии панели управления
--------------------------------------
*/

//Вызываем обработку ссылки кликом на тег <a>
$(document).on('click', 'a[load != "none"]', function(e){
  
  var link = $(this).attr('href');
  
  if (link != null){
    
    go_url(link);
    
    var title_ajax = $('div[title]').text();
    document.title = title_ajax;
    history.pushState(link, title_ajax, link);
    
    e.preventDefault();
  
  }

});

//Пишем переходы в историю браузера
if (history.pushState){
  
  $(window).on('popstate', function(event){
    
    var location_ajax = event.location || ( event.originalEvent && event.originalEvent.location ) || document.location;
    
    go_url(location_ajax.href);
  
  });

}

function go_url(href){
  
  $('#load').html('<div class="load_ajax"><div style="margin-bottom: 5px;">Загружаем...</div><div class="gray stripes2"><div class="proccess_load"></div></div></div>');
  
  $.post(href, {'go_load' : null}, function(data){
    
    var data = $(data);
    var elem = data.find('#content').html();
    
    $("#content").html(elem);
    
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;	
    
    $("#icon_menu_open").html("<i class='fa fa-bars fa-lg' style='font-size: 25px; position: relative; top: 1px;'></i>");
    
    icon_menu = 0;
    
    $("#panel-left").removeClass("open");
    
    setTimeout( function(){	
      
      $("#panel-left").parents(".overlay").removeClass("open");
    
    }, 5); 
    
    open_modal = 0; 
    
    $('#load').html(''); 
  
  });  

}